﻿namespace WolframAlpha.WrapperCore
{
    /// <summary>
    ///  Wolfram Alpha Query Formats Name 
    /// </summary>
    public partial class WolframAlphaQueryFormat
    {
        public const string Image = "image";
        public const string HTML = "html";
        public const string Pdf = "pdf";
        public const string PlainText = "plaintext";
        public const string MathematicaInput = "minput";
        public const string MathematicaOutput = "moutput";
        public const string MathematicaMathMarkupLanguage = "mathml";
        public const string MathematicaExpressionMarkupLanguage = "expressionml";
        public const string ExtensibleMarkupLanguage = "xml";

        #region Private Constructors
        /// <summary>
        /// Private Constructors
        /// </summary>
        private WolframAlphaQueryFormat()
        {

        }
        #endregion
    }
}