﻿using System.Collections.Generic;

namespace WolframAlpha.WrapperCore
{
    /// <summary>
    /// 
    /// </summary>
    public partial class WolframAlphaQueryResult
    {
        #region Fields
       
        /// <summary>
        /// 
        /// </summary>
        public List<WolframAlphaPod> Pods
        {
            get;
            set;
        }

        public List<WolframAlphaAssumption> WolframAlphaAssumptions
        {
            get;
            set;
        }
        /// <summary>
        /// 
        /// </summary>
        public bool Success
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public bool Error
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public int NumberOfPods
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public string DataTypes
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public string TimedOut
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public double Timing
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public double ParseTiming
        {
            get;
            set;
        }

        /// <summary>
        /// 
        /// </summary>
        public string SearchQuery
        {
            get;
            set;

        }

        /// <summary>
        /// 
        /// </summary>
        public string Query
        {
            get;
            set;
        }
        #endregion

        #region Constructors
        /// <summary>
        /// Default Constructor
        /// </summary>
        public WolframAlphaQueryResult()
        {
            Pods = new List<WolframAlphaPod>();
            WolframAlphaAssumptions= new List<WolframAlphaAssumption>();
        }
        #endregion
    }
}