﻿#if NETFX_CORE
using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
#endif
#if NET
using Microsoft.VisualStudio.TestTools.UnitTesting;
#endif
using System.Collections.Generic;

namespace WolframAlpha.WrapperCore.Tests
{

    /// <summary>
    ///This is a test class for WolframAlphaPodTest and is intended
    ///to contain all WolframAlphaPodTest Unit Tests
    ///</summary>
    [TestClass]
    public partial class WolframAlphaPodTest
    {
        public TestContext TestContext { get; set; }


        /// <summary>
        ///A test for WolframAlphaPod Constructor
        ///</summary>
        [TestMethod]
        public void WolframAlphaPodConstructorTest()
        {
            IList<WolframAlphaSubPod> wolframAlphaSubPodList = null; 
            var target = new WolframAlphaPod(wolframAlphaSubPodList);
            Assert.IsNotNull(target);
            Assert.IsNotNull(target.SubPods != null);
        }

        /// <summary>
        ///A test for WolframAlphaPod Constructor
        ///</summary>
        [TestMethod]
        public void WolframAlphaPodConstructorTest1()
        {
            var target = new WolframAlphaPod();
            Assert.IsNotNull(target);
            Assert.IsNotNull(target.SubPods != null);
        }
    }
}
