﻿#if NETFX_CORE
using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
#endif
#if NET
using Microsoft.VisualStudio.TestTools.UnitTesting;
#endif
namespace WolframAlpha.WrapperCore.Tests
{

    /// <summary>
    ///This is a test class for WolframAlphaQueryTest and is intended
    ///to contain all WolframAlphaQueryTest Unit Tests
    ///</summary>
    [TestClass]
    public partial class WolframAlphaQueryTest
    {
        public TestContext TestContext { get; set; }

        /// <summary>
        ///A test for WolframAlphaQuery Constructor
        ///</summary>
        [TestMethod]
        public void WolframAlphaQueryConstructorTest()
        {
            var target = new WolframAlphaQuery();
            Assert.IsNotNull(target);
        }

        /// <summary>
        ///A test for AddAssumption
        ///</summary>
        [TestMethod]
        public void AddAssumptionTest()
        {
            var target = new WolframAlphaQuery();
            var assumption = new WolframAlphaAssumption();
            bool CheckForDuplicates = false; 
            target.AddAssumption(assumption, CheckForDuplicates);
            Assert.IsNotNull(target);
            Assert.IsNotNull(assumption);
        }

        /// <summary>
        ///A test for AddAssumption
        ///</summary>
        [TestMethod]
        public void AddAssumptionTest1()
        {
            var target = new WolframAlphaQuery(); 
            string assumption = string.Empty; 
            bool CheckForDuplicates = false; 
            target.AddAssumption(assumption, CheckForDuplicates);
            Assert.IsNotNull(target);
            Assert.IsNotNull(assumption);
        }

        /// <summary>
        ///A test for AddPodTitle
        ///</summary>
        [TestMethod]
        public void AddPodTitleTest()
        {
            var target = new WolframAlphaQuery(); 
            string podTitle = string.Empty; 
            bool CheckForDuplicates = false; 
            target.AddPodTitle(podTitle, CheckForDuplicates);
            Assert.IsNotNull(target);
        }

        /// <summary>
        ///A test for AddSubstitution
        ///</summary>
        [TestMethod]
        public void AddSubstitutionTest()
        {
            var target = new WolframAlphaQuery(); 
            string substitution = string.Empty; 
            bool CheckForDuplicates = false;
            target.AddSubstitution(substitution, CheckForDuplicates);
            Assert.IsNotNull(target);
        }
    }
}
