﻿using System;
using System.Collections.Generic;
using System.IO;

namespace SimpleCrawler
{
    class Program
    {
        private static readonly List<string> Countrylist = new List<string>();
        public static void Main()
        {
            //write you application ad
            string wolframAlphaApplicationID = Properties.Settings.Default.ApplicationID;

            //GetQueryStringList();
            Countrylist.Add("Moscow");
            var crawler = new Crawler(Countrylist, wolframAlphaApplicationID);

            crawler.SearchData();
            crawler.WriteLogAll();

            Console.WriteLine(Properties.Resources.Program_Main_Work_Complited__Press_button_to_finish_application_);
            Console.ReadLine();
        }

        private static void GetQueryStringList()
        {
            //Some sample txt file with Country and City lists located in this project folder
            var filelist = Directory.GetFiles(Properties.Settings.Default.PathToInputSearchList);
            foreach (var file in filelist)
            {
                if(file.Contains(".txt"))
                {
                    var sr = new StreamReader(file);
                    while (!sr.EndOfStream)
                    {
                        Countrylist.Add(sr.ReadLine());
                    }
                    sr.Dispose();
                }
            }        
        }
    }
}