﻿using System.Collections.Generic;

namespace WolframAlpha.WrapperCore
{
    /// <summary>
    /// Wolfram Alpha Assumption
    /// </summary>
    public partial class WolframAlphaAssumption
    {
        #region Fields

        /// <summary>
        /// Assumption Word
        /// </summary>
        public string Word { get; set; }

        public string Template 
        { 
            get; 
            set; 
        }
        /// <summary>
        /// Categories
        /// </summary>
        public List<WolframAlphaAssumptionValue> Categories 
        {
            get; 
            set; 
        }
        #endregion

        #region Constructors
        /// <summary>
        /// Default Constructor
        /// </summary>
        public WolframAlphaAssumption()
        {
            Categories = new List<WolframAlphaAssumptionValue>();
            Word = string.Empty;
        }
        #endregion
    }
}