﻿using System;

namespace WolframAlpha.WrapperCore
{
    /// <summary>
    /// Image Properties Class
    /// </summary>
    public partial class WolframAlphaImage
    {
        #region Fields
        /// <summary>
        /// Url of file location
        /// </summary>
        public Uri Location
        {
            get;
            set;
        }

        /// <summary>
        /// Width
        /// </summary>
        public int Width
        {
            get;
            set;
        }

        /// <summary>
        /// Height
        /// </summary>
        public int Height
        {
            get;
            set;
        }

        /// <summary>
        /// Title
        /// </summary>
        public string Title
        {
            get;
            set;
        }

        /// <summary>
        /// Alt Text
        /// </summary>
        public string HoverText
        {
            get;
            set;
        }
        #endregion

        #region Default Constructor
        /// <summary>
        /// Private Constructor
        /// </summary>
        public WolframAlphaImage()
        {

        }
        #endregion
    }
}
